<!DOCTYPE html>
<html lang="en">
<head>
    {% load static %}
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <title>GCT Portal Login</title>
    <style>
        html, body {
            height: 75%;
        }

        body {
            position: relative;
            margin: 0;
            font-family: 'Work Sans', Arial, Helvetica, sans-serif;
            background: linear-gradient(to bottom, #11998e 0%, #38ef7d 100%);
            background-attachment: fixed;
            color: #777;
        }

        .vertical-center {
            height: 100%;
            width: 100%;

            text-align: center; /* align the inline(-block) elements horizontally */
            font: 0/0 a; /* remove the gap between inline(-block) elements */
        }

        .vertical-center:before { /* create a full-height inline block pseudo=element */
            content: " ";
            display: inline-block;
            vertical-align: middle; /* vertical alignment of the inline element */
            height: 100%;
        }

        .vertical-center > .container {
            max-width: 100%;

            display: inline-block;
            vertical-align: middle; /* vertical alignment of the inline element */
            /* reset the font property */
            font: 16px/1 "Helvetica Neue", Helvetica, Arial, sans-serif;
        }

        .my-border {
            border: solid;
            border-color: #ffffff;
        }

        .inner-container {
        {#            background-color: rgba(243, 255, 246, 0.25);#}{#            border-radius: 1em;#} border-width: medium;
            border-style: solid;
            border-color: rgba(243, 255, 246, 0.5);

            position: absolute;
            top: 40%;
            bottom: 0;
            left: 0;
            right: 0;
            width: 50%;
            height: 60%;
            margin: auto;
        }

        @font-face {
            font-family: 'LoveYaLikeASister';
            src: url({% static "fonts/loveyalikeasister-webfont.woff " %}) format('woff'),
            url({% static "fonts/loveyalikeasister-webfont.woff2" %}) format('woff2');
            font-weight: normal;
            font-style: normal;

        }

        .form-container {
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            width: 90%;
            height: 20%;
            margin: auto;
        }

        .transparent-input {
            background-color: rgba(243, 255, 246, 0.15);
            color: whitesmoke;
            border: solid;
            border-width: medium;
            border-color: rgba(243, 255, 246, 0.5);
        }

        .transparent-input:focus {
            background-color: rgba(243, 255, 246, 0.3);
            border-color: rgba(243, 255, 246, 0.9);
            border-width: medium;
            -webkit-box-shadow: none;
            box-shadow: none;
            color: whitesmoke;
        }

        ::-webkit-input-placeholder { /* WebKit, Blink, Edge */
            color: #909;
        }

        :-moz-placeholder { /* Mozilla Firefox 4 to 18 */
            color: #909;
            opacity: 1;
        }

        ::-moz-placeholder { /* Mozilla Firefox 19+ */
            color: #909;
            opacity: 1;
        }

        :-ms-input-placeholder { /* Internet Explorer 10-11 */
            color: #909;
        }

        ::-ms-input-placeholder { /* Microsoft Edge */
            color: #909;
        }

        ::placeholder { /* Most modern browsers support this now. */
            color: #909;
        }

        .signin-button {
            color: white;
            border-color: rgba(243, 255, 246, 0.5);
            border-width: medium;
            font-family: 'LoveYaLikeASister', cursive;
            background-color: transparent;
        }

        .signin-button:hover, .signin-button:focus {
            background-color: rgba(72, 140, 76, 0.3);
            -webkit-box-shadow: none;
            box-shadow: none;
        }

        #password_reset_link {
            margin-top: 2%;
        }

    </style>
</head>
<body>

<div class="container" style="min-height: 75%; height: 75%;">
    <div class="inner-container">
        <div class="row">
            <div class="col text-center" style="margin-top:15%">
                <h1 class="display-4" style="color: #ffffff;font-family: 'LoveYaLikeASister', cursive"> GCT
                    PORTAL
                </h1>
            </div>
            <div class="col text-center" style="position: relative">
                <div class="container form-container">
                    <form id="signin_form">
                        <div class="form-group">
                            <input class="form-control form-control-lg  transparent-input" type="text"
                                   placeholder="Email">
                        </div>
                        <div class="form-group">
                            <input type="password" class="form-control form-control-lg transparent-input"
                                   id="inputPassword"
                                   placeholder="Password">
                        </div>
                        <button type="submit" class="btn btn-lg btn-block signin-button">
                            Signin
                        </button>
                    </form>
                    <p  class="text-right" id="password_reset_link"><a href="/user/password/reset/" style="color: whitesmoke">Forgot Password?</a></p>
                </div>
            </div>
        </div>
    </div>

</div>



<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>

<script>
    $('#signin_form').submit(function (event) {
        console.log("clicked");
        event.preventDefault();
    });
</script>
</body>
</html>